import { geoEquirectangular, geoPath } from 'd3';

const projection = geoEquirectangular();
const path = geoPath(projection);

export const Marks = ({ data }) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    {data.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}
  </g>
);
